> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/inputs/inventoryitemsetwhereinput.md).

# InventoryItemSetWhereInput

InventoryItemSetWhereInput is used for filtering ItemSet objects.

Audience: Programmer

InventoryItemSetWhereInput is used for filtering ItemSet objects. Input was generated by ent.

**Services:** [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md)

## Fields

| Name                       | Type                                                                                                       | Default | Description                       |
| -------------------------- | ---------------------------------------------------------------------------------------------------------- | ------- | --------------------------------- |
| `not`                      | [InventoryItemSetWhereInput](https://docs.pyck.cloud/graphql-api/inputs/inventoryitemsetwhereinput.md)     |         |                                   |
| `and`                      | \[[InventoryItemSetWhereInput](https://docs.pyck.cloud/graphql-api/inputs/inventoryitemsetwhereinput.md)!] |         |                                   |
| `or`                       | \[[InventoryItemSetWhereInput](https://docs.pyck.cloud/graphql-api/inputs/inventoryitemsetwhereinput.md)!] |         |                                   |
| `id`                       | ID                                                                                                         |         | id field predicates               |
| `idNEQ`                    | ID                                                                                                         |         |                                   |
| `idIn`                     | \[ID!]                                                                                                     |         |                                   |
| `idNotIn`                  | \[ID!]                                                                                                     |         |                                   |
| `idGT`                     | ID                                                                                                         |         |                                   |
| `idGTE`                    | ID                                                                                                         |         |                                   |
| `idLT`                     | ID                                                                                                         |         |                                   |
| `idLTE`                    | ID                                                                                                         |         |                                   |
| `tenantID`                 | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         | tenant\_id field predicates       |
| `tenantIDNEQ`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `tenantIDIn`               | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `tenantIDNotIn`            | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `tenantIDGT`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `tenantIDGTE`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `tenantIDLT`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `tenantIDLTE`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeID`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         | data\_type\_id field predicates   |
| `dataTypeIDNEQ`            | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeIDIn`             | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `dataTypeIDNotIn`          | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `dataTypeIDGT`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeIDGTE`            | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeIDLT`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeIDLTE`            | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `dataTypeIDIsNil`          | Boolean                                                                                                    |         |                                   |
| `dataTypeIDNotNil`         | Boolean                                                                                                    |         |                                   |
| `dataTypeSlug`             | String                                                                                                     |         | data\_type\_slug field predicates |
| `dataTypeSlugNEQ`          | String                                                                                                     |         |                                   |
| `dataTypeSlugIn`           | \[String!]                                                                                                 |         |                                   |
| `dataTypeSlugNotIn`        | \[String!]                                                                                                 |         |                                   |
| `dataTypeSlugGT`           | String                                                                                                     |         |                                   |
| `dataTypeSlugGTE`          | String                                                                                                     |         |                                   |
| `dataTypeSlugLT`           | String                                                                                                     |         |                                   |
| `dataTypeSlugLTE`          | String                                                                                                     |         |                                   |
| `dataTypeSlugContains`     | String                                                                                                     |         |                                   |
| `dataTypeSlugHasPrefix`    | String                                                                                                     |         |                                   |
| `dataTypeSlugHasSuffix`    | String                                                                                                     |         |                                   |
| `dataTypeSlugIsNil`        | Boolean                                                                                                    |         |                                   |
| `dataTypeSlugNotNil`       | Boolean                                                                                                    |         |                                   |
| `dataTypeSlugEqualFold`    | String                                                                                                     |         |                                   |
| `dataTypeSlugContainsFold` | String                                                                                                     |         |                                   |
| `createdAt`                | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         | created\_at field predicates      |
| `createdAtNEQ`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `createdAtIn`              | \[[Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!]                                            |         |                                   |
| `createdAtNotIn`           | \[[Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!]                                            |         |                                   |
| `createdAtGT`              | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `createdAtGTE`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `createdAtLT`              | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `createdAtLTE`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `createdBy`                | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         | created\_by field predicates      |
| `createdByNEQ`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `createdByIn`              | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `createdByNotIn`           | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `createdByGT`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `createdByGTE`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `createdByLT`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `createdByLTE`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedAt`                | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         | updated\_at field predicates      |
| `updatedAtNEQ`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `updatedAtIn`              | \[[Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!]                                            |         |                                   |
| `updatedAtNotIn`           | \[[Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!]                                            |         |                                   |
| `updatedAtGT`              | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `updatedAtGTE`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `updatedAtLT`              | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `updatedAtLTE`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                |         |                                   |
| `updatedAtIsNil`           | Boolean                                                                                                    |         |                                   |
| `updatedAtNotNil`          | Boolean                                                                                                    |         |                                   |
| `updatedBy`                | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         | updated\_by field predicates      |
| `updatedByNEQ`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedByIn`              | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `updatedByNotIn`           | \[[UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!]                                            |         |                                   |
| `updatedByGT`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedByGTE`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedByLT`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedByLTE`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                |         |                                   |
| `updatedByIsNil`           | Boolean                                                                                                    |         |                                   |
| `updatedByNotNil`          | Boolean                                                                                                    |         |                                   |
| `sku`                      | String                                                                                                     |         | sku field predicates              |
| `skuNEQ`                   | String                                                                                                     |         |                                   |
| `skuIn`                    | \[String!]                                                                                                 |         |                                   |
| `skuNotIn`                 | \[String!]                                                                                                 |         |                                   |
| `skuGT`                    | String                                                                                                     |         |                                   |
| `skuGTE`                   | String                                                                                                     |         |                                   |
| `skuLT`                    | String                                                                                                     |         |                                   |
| `skuLTE`                   | String                                                                                                     |         |                                   |
| `skuContains`              | String                                                                                                     |         |                                   |
| `skuHasPrefix`             | String                                                                                                     |         |                                   |
| `skuHasSuffix`             | String                                                                                                     |         |                                   |
| `skuEqualFold`             | String                                                                                                     |         |                                   |
| `skuContainsFold`          | String                                                                                                     |         |                                   |
| `hasItems`                 | Boolean                                                                                                    |         | items edge predicates             |
| `hasItemsWith`             | \[[InventoryItemWhereInput](https://docs.pyck.cloud/graphql-api/inputs/inventoryitemwhereinput.md)!]       |         |                                   |
| `Data`                     | \[String!]                                                                                                 |         |                                   |
| `DataHasKey`               | String                                                                                                     |         |                                   |
| `DataIn`                   | \[String!]                                                                                                 |         |                                   |
| `DataContains`             | \[String!]                                                                                                 |         |                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/inputs/inventoryitemsetwhereinput.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
